Skip to main content
GET
/
v1
/
roles
List organization roles
curl --request GET \
  --url https://api.coderabbit.ai/v1/roles \
  --header 'x-coderabbitai-api-key: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt

Use this file to discover all available pages before exploring further.

Lists built-in roles and Enterprise custom roles for the authenticated organization. Use the role_type query parameter to filter by role type, and include permissions or user_count in the response as needed. For more information, see Role-based access.

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Query Parameters

role_type
enum<string>
default:all

Optional role type filter.

Available options:
all,
system,
custom
include_permissions
boolean
default:false
include_user_count
boolean
default:true

Response

200

Successfully retrieved roles